import uni from "@dcloudio/vite-plugin-uni";
import { VUE_APP_API_URL } from "./config";

// https://vitejs.dev/config/
export default ({mode}) => {
    return {
        plugins: [uni()],

        server: {
            https: false,
            port: 10086,
            proxy: {
                ["/yshop-api"]: {
                    target: VUE_APP_API_URL,
                    ws: false,
                    changeOrigin: true,
                    rewrite: (path) => path.replace(/^\/yshop-api/, ''),
                },
            }
        },
        css: {
            /* CSS 预处理器 */
            preprocessorOptions: {
                scss: {
                    additionalData: '@import "@/style/main.scss";'
                }
            }
        },
        // 打包相关
        build: {
            sourcemap: false, //构建后是否生成 source map 文件
            cssCodeSplit: true,// 启用/禁用 CSS 代码拆分
            assetsInlineLimit: 4096, // 图片转base64编码的阈值
            rollupOptions: {
                output: {
                    // 拆分包
                    // manualChunks(id){
                    //   if (id.includes("node_modules")) {
                    //     // 让每个插件都打包成独立的文件
                    //     return id.toString().split("node_modules/")[1].split("/")[0].toString();
                    //   }
                    // }
                }
            },
            // 去除控制台打印
            // minify: 'terser',
            // terserOptions: {
            //     compress: {
            //         drop_console: false,
            //         drop_debugger: false
            //     }
            // }
        }
    }
}
